{% extends 'base.html.twig' %}

{% block title %}Session {% endblock %}

{% block body %}
    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}
    <td>
        <a>
            <button class="btn btn-success btn_new_session" url="{{ path('session_new') }}"><span
                        class="glyphicon glyphicon-plus" title="Ajouter nouvelle Session"> Ajouter</span></button>
        </a>
    </td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Sessions </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>Code de la session</th>
                    <th>Libelle de la session</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for session in sessions %}
                    <tr>

                        <td>{{ session.codesession }}</td>
                        <td>{{ session.libellesession }}</td>
                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_session"
                                                url="{{ path('session_show', {'id': session.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign" title="Détail"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_session"
                                                url="{{ path('session_edit', {'id': session.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil" title="Modifier Session"></span>
                                        </button>
                                    </a></li>
                                <li>
                                    {{ include('session/_delete_form.html.twig') }} </li>
                            </ul>
                        </td>
                    </tr>

                {% else %}
                    <tr>
                        <td colspan="4">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>

            <div class="modal fade" id="modalSession" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_session"></h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_session', function (event) {
            $('#modalSession').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_session').html('Ajouter nouvelle session');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_session', function (event) {
            $('#modalSession').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_session').html('Modifier session');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_session', function (event) {
            $('#modalSession').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_session').html('Info session');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_session', function (event) {
            var name_session = $(this).attr('name_session');
            var id_session = $(this).attr('id_session');
            $('#modalSession').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_session').html('Supprimer session');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la session: <b>' + name_session + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_session" onclick="confirmer_delete_session(' + id_session + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_session(id_session) {
            $('#form_delete_session_' + id_session).submit();
        }

        $('body').on('click', '.save_session', function (event) {

            var form = $('#form_add_session');
            var formData = new FormData(document.getElementById("form_add_session"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_session').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalSession').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_session', function (event) {

            var form = $('#form_add_session');
            var formData = new FormData(document.getElementById("form_add_session"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_session').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalSession').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_session(name_session) {
            $('#modalSession').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_session').html('Supprimer session');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la session: ' + name_session);
            return false;
        }
    </script>


{% endblock %}